# ApplicationFramework
TKLCAF
TDocStd

# TDocStd_DataMapNodeOfLabelIDMapDataMap Class Reference

`#include <TDocStd_DataMapNodeOfLabelIDMapDataMap.hxx>`

## Public Member Functions

| TDocStd_DataMapNodeOfLabelIDMapDataMap (const TDF_Label &K, const TDF_IDMap &I, const TCollection_MapNodePtr &n)
TDF_Label & | Key () const
TDF_IDMap & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TDF_Label | myKey
TDF_IDMap | myValue

## Constructor & Destructor Documentation

TDocStd_DataMapNodeOfLabelIDMapDataMap::TDocStd_DataMapNodeOfLabelIDMapDataMap | ( | const TDF_Label & | K,
|  | const TDF_IDMap & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TDocStd_DataMapNodeOfLabelIDMapDataMap::Handle | ( | Standard_Type |  | ) | const

TDF_Label& TDocStd_DataMapNodeOfLabelIDMapDataMap::Key | ( |  | ) | const

TDF_IDMap& TDocStd_DataMapNodeOfLabelIDMapDataMap::Value | ( |  | ) | const

## Field Documentation

TDF_Label TDocStd_DataMapNodeOfLabelIDMapDataMap::myKey `[private]`

TDF_IDMap TDocStd_DataMapNodeOfLabelIDMapDataMap::myValue `[private]`

The documentation for this class was generated from the following file:

- TDocStd_DataMapNodeOfLabelIDMapDataMap.hxx